Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 609398 (CVE-2017-5987) - <app-emulation/qemu-2.8.0-r3: sd: infinite loop issue in multi block transfers
Summary: <app-emulation/qemu-2.8.0-r3: sd: infinite loop issue in multi block transfers
Status: RESOLVED FIXED
Alias: CVE-2017-5987
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B3 [glsa cve]
Keywords:
Depends on: 609206
Blocks:
  Show dependency tree
 
Reported: 2017-02-15 10:31 UTC by Agostino Sarubbo
Modified: 2017-04-10 21:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2017-02-15 10:31:17 UTC
From ${URL} :

Quick emulator(Qemu) built with the SDHCI device emulation support is vulnerable
to an infinite loop issue. It could occur while doing a multi block SDMA
transfer via 'sdhci_sdma_transfer_multi_blocks' routine.

A privileged user inside guest could use this flaw to crash the Qemu process
resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2017-02/msg02776.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/02/14/8


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Yury German Gentoo Infrastructure gentoo-dev Security 2017-03-28 03:59:45 UTC
Arches and Maintainer(s), Thank you for your work.
Added to an existing GLSA Request.
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2017-04-10 21:27:32 UTC
This issue was resolved and addressed in
 GLSA 201704-01 at https://security.gentoo.org/glsa/201704-01
by GLSA coordinator Kristian Fiskerstrand (K_F).